# Member Struct Reference

List of all members.

## Public Attributes

DWORD | m_dwGUID
std::string | m_szName
bool | m_online
BYTE | m_bGender
BYTE | m_bRace
BYTE | m_bRank
WORD | m_wLeadership
WORD | m_wLoyalty
DWORD | m_dwPatron
DWORD | m_dwVassals [MAX_VASSALS]
DWORD | m_dwFollowers
float | m_avgIGSworn
float | m_avgRTSworn
DWORD | m_passupXP
DWORD | m_pendingXP
DWORD | m_dwLevel
ULONG | m_timeBirth
ULONG | m_timeRLSwear
ULONG | m_timeIGTotal
ULONG | m_timeIGSwear

The documentation for this struct was generated from the following file:

- E:/uas2/Server/Allegiance.h